LINUX.ORG.RU

Slackware current 14.1+, потестим, порепортим...

 


1

10

Дамы, господа, других не вижу... (q) ВСВ

Итак, после длительной размеренной и неторопливой серии на тихом кишиневском, 21.04.2015 Патрик обновил в разрабатываемой ветке дистрибутива (угу, Slackware*-current) разом почти половину пакетов в поштучном исчислении. Сопровождалось сие действо примерно следующим комментарием в ChangeLog.txt:

Tue Apr 21 23:44:00 UTC 2015

Greetings! It has indeed been far too long. I apologize for the absence of updates lately, but we've been using the time to get some good work done. This is not a beta (probably not even an alpha release yet), but it is also not a drill. ;-) We've spared you all most of the pain while we transitioned to a lot of new libraries that got major version number bumps, and have tested everything to ensure that this will be a smooth upgrade. Still, I'd be surprised if all this didn't introduce any regressions, so if you find any problems let us know. Huge thanks are due to Robby Workman, Heinz Wiesinger, Eric Hameleers, and Stuart Winter for all the help. Have fun!

Последовавшие обновления от 25, 26 и 29 апреля сего года явились, можно сказать, результатом оперативного дым-теста и закрыли те шероховатости, что явно бросались в глаза.

Было б, на мой скромный взгляд, неплохо, если б многоуважаемый джин многоуважаемые посетители сего ресурса, декларирующего отношение к линуксу (ОС такая), кои имеют сколько-нибудь (нет это не опечатка в слове Сколково) свободного времени, выделили б немного его (времени) в пользу задачи «поставить и потестировать» текущий Slackware*-current с целью сообщить об обнаруженных ошибках...

Остаюсь за сим премного вами благодарен,

 

 

 

PS. Ах да, сценарий установщика зависит от разбора вывода консольных утилит, вроде fdisk сотоварищи, поэтому если кто-то и этот аспект пожелает протестировать, бобро пожаловать:
http://taper.alienbase.nl/mirrors/slackware/slackware-current-iso/
http://taper.alienbase.nl/mirrors/slackware/slackware64-current-iso/

PPS. Комментарий к PS.
Слакварщики установщик видят редко, пару-тройку раз в жизни (ставят себе, ставят себе как надо, ставят по случаю на стороне, в процессе понимая, что есть пути проще), поэтому на них в тестировании этой самой важной для новичков части дистрибутива нет надежды практически никакой...

★★★★★

яб поставил. есть ли какие-нибудь особенности при обновлении с 14.1 до current? или можно ставиьт как обычно?

ionanahin ★★ ()

Опять Патрик tar не обновил! В 1.26 криво распаковывает инкрементальные архивы, да и 2 из 3-х патчей, что он применяет при сборке уже есть в 1.28.

vel ★★★★★ ()
Ответ на: комментарий от ionanahin

обновлении с 14.1 до current? или можно ставиьт как обычно?

извините, не совсем понял вопрос.

Если речь про обновление 14.1->current, оно как обычно. Обычно, это в случае slackpkg:

# slackpkg update
# slackpkg install-new
# slackpkg upgrade-all
# slackpkg clean-system
и 1) если в конфиге /etc/slackpkg/slackpkg.conf есть POSTINST=off, не забыть выполнить принудительно slackpkg new-config; 2) не забыть про разумные ответы, как правило это Prompt, затем Diff, оценка изменений, Overwrite либо Remove, для руками изменённого — Merge.

В других случаях — аналогично руками по ChangeLog.txt.

bormant ★★★★★ ()

О, а это можно. Если на майских время будет - с удовольствием заморочусь.

Dispetcher14 ★★★ ()
Ответ на: комментарий от vel

Опять Патрик XXX не обновил!

Вот на нем-то клином свет и сошелся, голосим дружно — ... нужно.


http://mirrors.slackware.com/slackware/slackware-14.1/source/a/tar/
http://mirrors.slackware.com/slackware/slackware64-14.1/source/a/tar/
... хотя это одно и то же...
Сами осилите, или собрать/выложить?

Ещё непреодолимые препятствия остались, лени окромя?

bormant ★★★★★ ()
Ответ на: комментарий от bormant

да я то давно пересобрал, и даже письмо им написать не поленился, а воз и ныне там.

vel ★★★★★ ()
Ответ на: комментарий от vel

Вот и славно, других же препятствий не осталось? Отлично.
Уже обнаружились какие-то поломки в процессе установки или в установленной системе?

bormant ★★★★★ ()

А у меня вот такой вопрос — я поставил программу более новой версии чем в дистрибутиве, а теперь при каждом slackpkg upgrade-all предлагается заменить её на старую версию. Можно ли замаскировать этот пакет? Хотя я сам могу посмотреть в манах...

Поставить Slackware-current могу, но когда именно нужно её ставить, обязательно в ближайшее время, или если через месяц — тоже будет не менее полезно?

Xenius ★★★★★ ()
Ответ на: комментарий от Xenius

slackpkg blacklist [программы]

Хотя я сам могу посмотреть в манах...

ну йобана...

chinarulezz ★★★★ ()
Последнее исправление: chinarulezz (всего исправлений: 1)

на след.неделе загружу на ноут. актуально отписываться о багах в этом треде?

chinarulezz ★★★★ ()
Последнее исправление: chinarulezz (всего исправлений: 1)

за 26 апреля только могу сказать точно - ничего плохого при обновлении не произошло

Frost ★★ ()
Ответ на: комментарий от chinarulezz

slackpkg blacklist [программы]

Спасибо. Работает.

Xenius ★★★★★ ()

в теме вот в сообщении, не подумайте что прям уж так парсю, просто

обро пожаловать

Ну и наверно расскажу про свой current, ну в общем убил я его, тот который еще 2-3 месяца назад поставил и обновил

# uname -r
3.18.11-smp

Что заметил , с монтированием флэшек через Thunar (я сейчас на flux+xfce-apps сижу) нарисовались проблемы, как и других дисков, так и не понял что явилось причиной, возможно с dbus что-то, но gdm от salix точно для -current сейчас уже не подойдет, не знаю может он что давал для монтирования или же dbusИЛИckit

К nm добавились зависимости, к mplayer так же, н-р:

$ mplayer 
mplayer: error while loading shared libraries: libopenmj2.so.7: cannot open shared object file: No such file or directory
пришлось вылавливать библиотеки и вроде все разрулил, но все равно какие-то кодеки накрылись и не всё в (s)mplayer стало играть... еще вот gst1(!) ,

Патрик кеды, обновил, интересно стало трабл со звуком гст решился в 4.14, а то вот от Алина KDE4 пробовал, там vlc-phonon пришлось указывать, там не только амарок накрылся, там вся звуковая система кед и амарока в том числе если ее через гст юзать. Я не поленился и в виртуалке поставил каррент с кедами от Патрика и увы звука в амароК нет( в списках фонона что ли, ну звуковой системы KDE значится gst, но для KDE он не играет, в других плеерах само-собой все играет прекрасно.

Клиент mail-ru для облака ихнего не стартует

cloud: error while loading shared libraries: libicui18n.so.51: cannot open shared object file: No such file or directory
бинарный файл из rpm или deb пакета брал http://help.mail.ru/cloud_web/app/about и qt5 из slackonly или от ponce брал, конечно пересобрать может надо qt5 (но уже поздно, снес и 14.1 накатил)

Какие-то mate-приложения из репозитория MSB то же накрылись, перекомпиливать часть мате-приложений я точно не буду, да и от 14.1 я их ставил, вот pluma перестал пускаться и искалка файлов от mate.

Ну и мое заключение, наверно такое, если пользоваться только теми пакетами, которые Патрик собирал, другие реально надо сидеть перекомпиливать, а то будет что-то в виде:

$ transmission-gtk 
transmission-gtk: error while loading shared libraries: libicule.so.51: cannot open shared object file: No such file or directory
$ xneur 
xneur: error while loading shared libraries: libgstreamer-0.10.so.0: cannot open shared object file: No such file or directory

и это относится к репу Алина даже

Но работа кипит меньше чем за сутки вон сколько фиксов было даже http://taper.alienbase.nl/mirrors/slackware/slackware-current/ChangeLog.txt и пересборок
И вот еще парочка ссылок, думаю пригодятся
-> http://slackblogs.blogspot.ru/2015/04/recompiling-all-third-party-packages.html
-> http://alien.slackbook.org/blog/first-victim-of-slackware-current-update-2015...
-> http://alien.slackbook.org/blog/multilib-gcc-updated-to-address-changes-in-sl...

Кстати, вот по команде slackpkg+ не подскажите, это скорей на будущее и по логике ее скорей O_o как поставить все пакеты из репа slackware как-то можно одной командой, когда были установлены все пакеты при установке? slackpkg install slackware или еще что-то надо перед этим обновив само-собой базу и потом систему?

NK ★★★★★ ()
Последнее исправление: NK (всего исправлений: 1)

Поставил. Внешне - нифига не изменилось, по крайней мере на первый взгляд, загрузчик в том числе. Но копнув чуть глубже, обнаружились как приятные плюшки, так и неприятные.
Например, пишу сейчас с другой, виндовой машинки, потому что пока не могу завести свой USB-момед E171, что в январском current делалось за секунду. Копаю, читаю логи, но пока безрезультатно - нифига не пойму, где собака зарыта.

Откопаю - напишу.

cadaber ()
Последнее исправление: cadaber (всего исправлений: 1)
Ответ на: комментарий от cadaber

Ну что, вроде раскопал... Виноват, по моему мнению, плазмоид NetworkManager для KDE, который пишет конфиги через анальное отверстие. Потому как после него разгрести, что он там насрал в конфигах увы - невозможно. Возможно, конечно, но не хочется - проще попить пивка, пока ось заново с нуля установится.
Почему я так решил? - Потому что если сперва грузить крысу, то мопед через апплет заводится сразу, за несколько кликов мышью, и без вопросов.
Хочу заметить, что если ранее уже поковырял плазмоид в кедах, то переключайся в крысу, не переключайся - уже никак не получается, настолько всё хреново...

cadaber ()
Последнее исправление: cadaber (всего исправлений: 1)
Ответ на: комментарий от NK

Нужно, пожалуй, отделить тестирование собственно дистрибутива от тестирования сторонних пакетов.

1)Сторонние пакеты в первую очередь столкнутся со следствием смены версий базовых дистрибутивных библиотек.

$ grep -F .so /var/adm/packages/icu4c-54.1-i486-1 
usr/lib/libicui18n.so.54.1
usr/lib/libicudata.so.54.1
usr/lib/libicuio.so.54.1
usr/lib/libicutest.so.54.1
usr/lib/libicutu.so.54.1
usr/lib/libiculx.so.54.1
usr/lib/libicule.so.54.1
usr/lib/libicuuc.so.54.1
Соответственно, для ПО, которое не пересобрать, помогут симлинки с *icu*.so.54.1 на *icu*.so.51.

2) Дистрибутивные пакеты требуют доустановки добавленных в дистрибутив пакетов, это же -current, его обновление отличается от обновления номерного выпуска, процедура как при обновлении при смене версии. В частности, про MPlayer:

# slackpkg file-search libopenmj2.so
The list below shows the packages that contains "libopenmj2\.so" file.
[ Status           ] [ Repository               ] [ Package                                  ]
   installed                                        openjpeg-2.1.0-i486-1                     

$ grep -F libopenmj2.so /var/adm/{packages,scripts}/openjpeg-2.1.0-i486-1 
/var/adm/packages/openjpeg-2.1.0-i486-1:usr/lib/libopenmj2.so.2.1.0
/var/adm/scripts/openjpeg-2.1.0-i486-1:( cd usr/lib ; ln -sf libopenmj2.so.2.1.0 libopenmj2.so.7 )
/var/adm/scripts/openjpeg-2.1.0-i486-1:( cd usr/lib ; ln -sf libopenmj2.so.7 libopenmj2.so )

$ grep openjpeg /var/lib/slackpkg/ChangeLog.txt
l/openjpeg-2.1.0-i486-1.txz:  Added.
К слову, там добавленных пакетов немало:
$ grep Added\.$ /var/lib/slackpkg/ChangeLog.txt|wc -l
98

3) Изменения в части gstreamer следующие:

$ grep gst /var/lib/slackpkg/ChangeLog.txt
l/gst-plugins-base-1.4.4-i486-1.txz:  Upgraded.
l/gst-plugins-base0-0.10.36-i486-1.txz:  Added.
l/gst-plugins-good-1.4.4-i486-1.txz:  Upgraded.
l/gst-plugins-good0-0.10.31-i486-1.txz:  Added.
l/gstreamer-1.4.4-i486-1.txz:  Upgraded.
l/gstreamer0-0.10.36-i486-1.txz:  Added.
l/phonon-gstreamer-4.8.2-i486-1.txz:  Upgraded.
l/qt-gstreamer-1.2.0-i486-1.txz:  Added.
То есть, за базовую версию взят gstreamer-1.4, до него обновятся ранее установленные пакеты версии 0.xx. Поскольку без 0.xx кое-что все еще не собирается, добавлены пакеты с суффиксом «0». Если забыли доустановить добавленные (Added) пакеты, получите поломанные зависимости, в частности:
# sbbdep --whoneeds /var/adm/packages/gstreamer0-0.10.36-i486-1 
bluez-4.101-i486-1
gst-plugins-base0-0.10.36-i486-1
gst-plugins-good0-0.10.31-i486-1
gstreamer0-0.10.36-i486-1
libcanberra-0.29-i486-2
libvisual-plugins-0.4.0-i486-2
pidgin-2.10.11-i486-1
qt-4.8.6-i486-2
xfce4-mixer-4.10.0-i486-1
xfce4-volumed-0.1.13-i486-2
и дальше по цепочке.

bormant ★★★★★ ()
Ответ на: комментарий от NK

По slackpkg+: можно вместо slackpkg install-new делать slackpkg install slackware или slackpkg install slackware64. Разница в том, что «install-new» предложит то, что помечено «Added» в ChangeLog.txt, а «install slackware» предложит доустановить то, что не установлено из /slackware*/*. Неудобство такого подхода — наличие в списке полного фарша из KDEI.

Если установлены отдельные наборы, можно ставить новое только из них, например: slackpkg install a ap l n x xap xfce

И затем уже slackpkg upgrade-all; slackpkg clean-system.

bormant ★★★★★ ()
Ответ на: комментарий от Xenius

обязательно в ближайшее время, или если через месяц — тоже будет не менее полезно?

В ближайшее время не обязательно. Вплоть до объявления ее следующим выпуском — будет не менее полезно, ведь цель такой установки — выявить и исправить ошибки на дорелизной стадии. А пока это даже не бета и тем более не кандидат на выпуск.

bormant ★★★★★ ()
Ответ на: комментарий от chinarulezz

актуально отписываться о багах в этом треде?

Думаю да. Если есть возможность, можно писать напрямую на оф.форум (англ.), если там подобного не видели еще: http://www.linuxquestions.org/questions/slackware-14/, а также специальные темы про сломавшееся http://www.linuxquestions.org/questions/slackware-14/things-that-won't-run-in... и про желательные обновления http://www.linuxquestions.org/questions/slackware-14/desired-updates-to-curre...

bormant ★★★★★ ()
Ответ на: комментарий от bormant

Да я всё понимаю, и уж тем более не обижаюсь. Наоборот, правильно сделали - выпустили сыромятину, чтобы народ пожаловался на огрехи. По секрету скажу, что даже самые крутые производители этим грешат. Выпустят на рынок новую неоттестированную железку (программку). Ну им и валятся в техподдержку гневные письма...
А они и рады - такой толпы тестеров еще ни у кого не было, разве что у microsoft.
Хоть Патрик этим пока не злоупотребляет, поскольку current - это даже не rc, то есть ты его себе ставишь на свой риск. Мудро, нечего сказать.

Что от себя, дык я вовсе не расстроился, что почти целый день провозился. В конце, вернул Январский current, который стабильно работает. И не надо мне про неосилятора. Модем-то я победил? (правда через жопу), Но вы товарищи дорогие просто не знаете, что такое победить GSM USB Modem в Slaskware 12.1 - вот где жопа настоящая была.

Хотя, когда всё устаканится и допилится, думаю, через пару месяцев, то можно будет качнуть. Мне жутко понравилась подцветка в консольных приложениях. Хочу.

cadaber ()
Ответ на: комментарий от cadaber

Это мне чем-то напоминает linuxconf в RedHat 6.2, что использовать его = выстрелить себе дробью в ногу и рикошетом в сервер. Что меня и сподвигло на детальное изучение манов, чтобы обойтись без этого страшно разрушительного скрипта. Что в результате сподвигло на slackware.
Ну так я на нём и сижу последние уже лет 10, а в последние лет 5 чисто как юзер. Ковыряться уже лень. Ну, честное комсомольское...

cadaber ()
Ответ на: комментарий от vel

Напиши ему в почту, Патрик отвечает и потом в Changelog спасибо говорит (проверено) :)

Dimez ★★★★★ ()
Ответ на: комментарий от Dimez

Ну-да, ну-да. Я иногда тоже охреневаю со своего русского.

cadaber ()
Ответ на: комментарий от bormant

Нужно, пожалуй, отделить тестирование собственно дистрибутива от тестирования сторонних пакетов.

да это понимаю, я и упомянул, то что от Патрика вроде как все работает... хотя вот со звуком в кедах трабл, через gst он не играет(

Выход есть, ставить из репа Алина vlc-phonon и использоваться вместо gst-вывода эту систему, но это не то, как в 14.1 поставил и звук тут же есть в амароКе

NK ★★★★★ ()
Ответ на: комментарий от bormant

slackpkg install a ap l n x xap xfce

я вот с этой схемой как-то придумать ход решения все не могу, когда ну н-р:

# slackpkg install xap
...
            │ │   [*] obconf-cfde287_20121007git-i486-1alien.tgz   alien       │ │  
            │ │   [*] obkey-1.0-i486-3dj.txz                       salix       │ │  
            │ │   [*] obmenu-1.0-i486-2sb.txz                      deepstyle   │ │  
            │ │   [*] oggconvert-0.3.3-i486-1gv.txz                salix       │ │  
            │ │   [*] openbox-3.5.0-i486-1alien.tgz                alien       │ │  
            │ │   [*] openbox-menu-0.5.1-i486-1dj.txz              salix       │ │  
            │ │   [*] parcellite-1.0.2rc5-i486-2dj.txz             salix       │ │  
            │ │   [*] pekwm-0.1.17-i486-1gv.txz                    salix       │ │  
...

Хочу поставить (или обновить) пакеты с репа alien только

# slackpkg upgrade alien:xap
# slackpkg reinstall alien:xap
# slackpkg install-new alien:xap
-ничего не дает; А вот
# slackpkg install alien:xap
- уже дает, как и при # slackpkg install xap

Не знаете, как натолкнуть slackpkg_2.81.1/slackpkg+_1.4.0 на конкретный реп?

NK ★★★★★ ()
Последнее исправление: NK (всего исправлений: 1)
Ответ на: комментарий от NK

со звуком в кедах трабл

не понял до конца, прошу уточнить, новые пакеты gst*0-*t?z были при этом установлены или нет?

bormant ★★★★★ ()
Ответ на: комментарий от bormant

прошу уточнить

образ сделанный на основе последнего рсинка был, после добавленных в него обширных обновлений

новые пакеты gst*0-*t?z были при этом установлены или нет?

ничего не ставил, делал установку всех пакетов во время установки, даже языковые поставил

NK ★★★★★ ()
Ответ на: комментарий от bormant

мм, сейчас уже нет... я могу поставить по свежему рсинку последний каррент, но gst будут все от Патрика и которые в -current сейчас. Ладно, если поставлю от root'а проверить звук достаточно ли будет?

NK ★★★★★ ()
Ответ на: комментарий от NK

сейчас уже нет

На нет и суда нет :-), пытался понять, дело в gst* или в списках установщика (поставил не всё по какой-то причине)...

bormant ★★★★★ ()

Извините, если оффтоп. А MATE будет в оф. репах?

anonymous ()
Ответ на: комментарий от anonymous

MATE будет в оф.репах?

Пока к этому не видно никаких предпосылок. Сейчас MATE для Slackware существует в виде неофициального проекта MSB — MATE SlackBuild —
http://mateslackbuilds.github.io
https://github.com/mateslackbuilds/msb
http://slackware.org.uk/msb/
и на зеркалах...

bormant ★★★★★ ()
Ответ на: комментарий от bormant

дело в gst* или в списках установщика

поставил current, создал пользователя в группе audio он значится, звуков и музыки нет

про gst вывод на скрине вот http://plasmon.rghost.ru/8Dj25jhqH/image.png

NK ★★★★★ ()
Ответ на: комментарий от NK

хотя вот со звуком в кедах трабл, через gst он не играет(

Это не дистроспецифичная проблема, в генте также.

RedEyedMan4 ★★★★★ ()
Ответ на: комментарий от RedEyedMan4

в генте также

и никак нельзя заставить что ли играть сейчас kde-4.14 через gst?

опять таки у меня только через вот это получилось http://taper.alienbase.nl/mirrors/alien-kde/current/latest/README.html

For now, this repository only contains phonon-vlc which gives you an additional
backend for pnonon if you are not too happy with the default gstreamer backend.
It requires that you also install VLC 2.2.x.

NK ★★★★★ ()
Ответ на: комментарий от NK

4 мая обновился qt в части использования версии WebKit, которая на gstreamer-1:

l/qt-4.8.6-x86_64-3.txz: Rebuilt.
Upgraded the WebKit components to version 2.3.4, which uses gstreamer-1 instead of gstreamer-0. This should fix conflicts with programs that use both WebKit and phonon. Thanks to Heinz Wiesinger.

Что поправилось, что осталось сломаным?

bormant ★★★★★ ()

Прогнал тест под виртуалбоксом. Чистая полная установка 14.1, апгрейд до current.
Сайтики браузятся, музыка через xmms играется. Живое вроде. Чего-нибудь протестировать или не нужно уже? )

aeSh0aeF ()
Ответ на: комментарий от aeSh0aeF

Чего-нибудь протестировать или не нужно уже?

На моей памяти были жалобы на:

1) KDE-шный апплет NetworkManagera в части создания таких файлов постоянных соединений, которые впоследствии не поднимаются ни самим NM, ни исправить их из nm-applet-а из XFCE не удаётся. Я не воспроизвел, возможно причиной наличие 3G модема, где это наблюдалось и отсутствие его у меня.

2) Звук в KDE, amaroK.

Да и если что обнаружится нерабочее, криво рабочее, было бы тоже интересно услышать...

Как дополнение, если есть часто используемый сторонний софт, проблемы с его бинарными пакетами, проблемы с его сборкой в -current 14.1+ были бы тоже весьма кстати.

Спасибо.

bormant ★★★★★ ()
Ответ на: комментарий от bormant

l/qt-4.8.6-x86_64-3.txz: Rebuilt.

обновился http://higgs.rghost.ru/8ShmQCXsd/image.png
Все прекрасно теперь играет через gst, скрин для подтверждения http://tau.rghost.ru/6MckNVkMJ/image.png

спасибо, а то я изменение в репе видел по qt4, не дочитал и не обновился бы еще наверно месяц бы, я счастлив все реально нормально и vlc не надо теперь точно ставить, супер, плеер хороший, но лучше,приятно когда из коробки все крутится)

У меня кстати на одной машине каррент не обновленный стоит c kde4 от alien, подумываю вот на kde5 что ли уйти, так для теста и пробы пера по kde5...

NK ★★★★★ ()
Ответ на: комментарий от RedEyedMan4

Это не дистроспецифичная проблема, в генте также

это, на счет gst и kde, ты наверно про какой-то злостный дефолт имел в виду, kde-core или как он там в gentoo называется,
просто вот смотри, как у меня в 14.1 (текущий релиз слаки) http://higgs.rghost.ru/6cnZTGX9w/image.png

NK ★★★★★ ()
Ответ на: комментарий от bormant

1) KDE-шный апплет NetworkManagera в части создания таких файлов постоянных соединений, которые впоследствии не поднимаются ни самим NM, ни исправить их из nm-applet-а из XFCE не удаётся

Не получилось воспроизвести.

часто используемый сторонний софт, проблемы с его бинарными пакетами, проблемы с его сборкой в -current 14.1+

keepassx(из пакета), openbox (sbopkg), owncloud-client (sbopkg), lilyterm (sbopkg), tinymount - завелись

Чуть позже потыкаю libreoffice, multilib и skype.

P.S.: Но домашнюю 14.1 пока обновлять не стану :-)

aeSh0aeF ()
Ответ на: комментарий от aeSh0aeF

1) KDE-шный апплет NetworkManagera

Не получилось воспроизвести.

Вот и у меня не получилось.

потыкаю libreoffice

Его Эрик под изменения в -current уже обновлял, но вдруг еще что-то попадется.

домашнюю 14.1 пока обновлять не стану

Вполне здравый подход. Рано еще. Но -current периодически тестировать надо, особенно после массивных обновлений, иначе риск нарваться в грядущем релизе на неожиданности выше. И если в стадии разработки довольно легко правятся любые баги, то после выпуска Патрик на большее, чем обновления безопасности, не пойдет.

PS. Жалобы на NM были про 32 бита исключительно, если правильно путаю, вот тут и ниже описание ситуации: http://www.slackware.ru/forum/viewtopic.php?f=8&t=1573&start=20#p10125

bormant ★★★★★ ()
Последнее исправление: bormant (всего исправлений: 1)

LO завёлся, алиеновский multilib тоже. Skype из SBO ругается на отсутсвие 32-битного liborc (для меня несущественно - дома это чудовище живёт в отдельной виртуалке например).

aeSh0aeF ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.